const statusCode = require("../utils/statusCodes").statusCodes;
const { getMembers } = require("../db/api.js");
const { logger } = require("../system/Logger");

async function members(body, res) {
    const { roomId } = body;
    getMembers(roomId).then((addresses) => {
        res.status(statusCode.OK).json(addresses);
    }).catch((err) => {
        logger.error(err)
        res.status(statusCode.INTERNAL_SERVER_ERROR);
    });
}

module.exports = {
    members,
};
